Should you notice any errors in our documentation, please don’t hesitate to contact us. Thank you!
| Attribute Name | Meaning |
|---|---|
| merchant_id | Id of merchant, whose locations are to be displayed |
| postal_code_area | first two digits of the postal code of the merchant location. Only german postal codes are currently supported |
curl --location --request GET 'https://www-staging.givve.com//api/merchant_locations' \
--header 'Accept-Version: v2' \
--header 'Authorization: Bearer <token>'{
"meta": {
"total_pages": 0,
"current_page": 0,
"page_size": 0,
"total_entries": 0
},
"data": [
{
"id": "string",
"created_at": {
"informational_timestamp": "2019-08-24T14:15:22.123Z"
},
"updated_at": {
"informational_timestamp": "2019-08-24T14:15:22.123Z"
},
"merchant_id": "string",
"name": "string",
"address_line": "string",
"postal_data": {},
"location_point": {
"latitude": 0,
"longitude": 0
}
}
],
"links": {
"self": "http://example.com",
"first": "http://example.com",
"prev": "http://example.com",
"next": "http://example.com",
"last": "http://example.com"
}
}